> ## Documentation Index
> Fetch the complete documentation index at: https://docs2.zenskar.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create data-source connector

> Creates a data source for the given organisation. The data source will be associated with the organisation.



## OpenAPI

````yaml /openAPI/openapi-20240301.json post /datasources
openapi: 3.1.0
info:
  title: zenskar
  version: 2.0.0
servers:
  - url: https://api.zenskar.com
security:
  - ApiTokenAuth: []
    OrganisationAuth: []
paths:
  /datasources:
    post:
      tags:
        - Data Sources
      summary: Create data-source connector
      description: >-
        Creates a data source for the given organisation. The data source will
        be associated with the organisation.
      operationId: Create-data-source-connector
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateDataSourceRequestSchema'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CreateDataSourceRequestSchema:
      properties:
        name:
          type: string
          title: Name
          description: name of the connector
        connector_type:
          type: string
          title: Connector Type
          description: Connector type name
        destination:
          type: string
          title: Destination
          description: Data source destination
        status:
          $ref: '#/components/schemas/DataSourceStatusEnum'
          description: Status of connector
        connector_config:
          additionalProperties: true
          type: object
          title: Connector Config
          description: Contract Updates
        remote_conn:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Remote Conn
          description: Optional remote connection field
        source_definition_id:
          type: string
          title: Source Definition Id
          description: source definition id for connector
      type: object
      required:
        - name
        - connector_type
        - destination
        - status
        - connector_config
        - source_definition_id
      title: CreateDataSourceRequestSchema
      description: Create DataSource Request Schema
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    DataSourceStatusEnum:
      type: string
      enum:
        - active
        - disabled
        - processing
        - failed
      title: DataSourceStatusEnum
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    ApiTokenAuth:
      type: apiKey
      in: header
      name: x-api-key
      x-default: <your-api-key>
    OrganisationAuth:
      type: apiKey
      in: header
      name: organisation
      x-default: <your-organisation-id>

````